package com.ispntest;

import org.infinispan.Cache;
import org.infinispan.util.logging.Log;
import org.infinispan.util.logging.LogFactory;

public class Node1 extends AbstractNode {

	private Log log = LogFactory.getLog(LoggingListener.class);

	public static void main(String[] args) throws Exception {
		new Node1().run();
	}

	public void run() {
		log.info(String.format("Node:[%d] Starting...", getNodeId()));
		
		Cache<String, String> cache = getCacheManager().getCache("xml-configured-cache");

		waitForClusterToForm();

		for (Integer i = 1; i <= 10000; i++) {
			String k = i.toString();
			
			System.out.format("node:[%d] Storing key:[%4s]... ", getNodeId(), k);

			String val = cache.get(k);
			if (val != null) {
				System.out.format("already exists in cache, value:[%s]\r\n", val);
				continue;
			}
			else {
				System.out.format("Storing...");
				if (null != cache.putIfAbsent(k, "value" + getNodeId())) {
					System.out.format("failed to put value, already exists.  value:[%s]\r\n", val);
					continue;
				}

				System.out.format("OK\r\n");
			}
		}

		log.info(String.format("Node:[%d] Done...", getNodeId()));
	}

	@Override
	protected int getNodeId() {
		return 1;
	}
}
